package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目管理对象 sur_project
 * 
 * @author JiangYuQi
 * @date 2023-07-29
 */
public class SurProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 部门名称 */
    private String deptName;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String projectCode;

    /** 父级项目名称 */
    @Excel(name = "父级项目名称")
    private String paretProjectName;

    /** 父级项目编号 */
    @Excel(name = "父级项目编号")
    private String paretProjectCode;

    /** 项目简称 */
    @Excel(name = "项目简称")
    private String simpleName;

    /** 项目分类 */
    @Excel(name = "项目分类")
    private String projectType;

    /** 项目等级 */
    @Excel(name = "项目等级")
    private String projiectLevel;

    /** 项目区域 */
    @Excel(name = "项目区域")
    private String projectRegional;

    /** 项目地址 */
    @Excel(name = "项目地址")
    private String projectAddress;

    /** 项目建设类型 */
    @Excel(name = "项目建设类型")
    private String projectNature;

    /** 许可证号 */
    @Excel(name = "许可证号")
    private String licenceNumber;

    /** 立项批文 */
    @Excel(name = "立项批文")
    private String projectApproval;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String projectPerson;

    /** 负责人电话 */
    @Excel(name = "负责人电话")
    private String projectPhone;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 工程期限 */
    @Excel(name = "工程期限")
    private Long projectTimeLimit;

    /** 总投资 */
    @Excel(name = "总投资")
    private String totalInvestment;

    /** 建筑面积 */
    @Excel(name = "建筑面积")
    private String floorArea;

    /** 开累产值 */
    @Excel(name = "开累产值")
    private String totalOutputValue;

    /** 计划完成时间 */
    @Excel(name = "计划完成时间")
    private String plannedCompletionTime;

    /** 计划开工时间 */
    @Excel(name = "计划开工时间")
    private String scheduledStartTime;

    /** 实际开工时间 */
    @Excel(name = "实际开工时间")
    private String actualOperatingTime;

    /** 实际完工时间 */
    @Excel(name = "实际完工时间")
    private String actualCompletionTime;

    /** 合同总额 */
    @Excel(name = "合同总额")
    private String contractAmount;

    /** 付款金额 */
    @Excel(name = "付款金额")
    private String paidAmount;

    /** 挂账金额 */
    @Excel(name = "挂账金额")
    private String onAccountAmount;

    /** 形象进度情况 */
    @Excel(name = "形象进度情况")
    private String projectSchedule;

    /** 项目概述 */
    @Excel(name = "项目概述")
    private String projectSummarize;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private Long isDel;

    /** 项目状态 */
    @Excel(name = "项目状态")
    private String projectStatus;

    /** 劳务人员 */
    @Excel(name = "劳务人员")
    private Long servicePersonnel;

    /** 监理人员 */
    @Excel(name = "监理人员")
    private Long supervisorPersonnel;

    /** 总包人员 */
    @Excel(name = "总包人员")
    private Long generalContractor;

    /** 重要等级 */
    @Excel(name = "重要等级")
    private String weightType;


    /** 项目排序 */
    @Excel(name = "项目排序")
    private Integer projectSort;

    /** 进度显示 */
    @Excel(name = "进度显示")
    private String progressVisible;

    @Excel(name = "项目区域名称")
    private String projectRegionalName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setProjectCode(String projectCode) 
    {
        this.projectCode = projectCode;
    }

    public String getProjectCode() 
    {
        return projectCode;
    }
    public void setParetProjectName(String paretProjectName) 
    {
        this.paretProjectName = paretProjectName;
    }

    public String getParetProjectName() 
    {
        return paretProjectName;
    }
    public void setParetProjectCode(String paretProjectCode) 
    {
        this.paretProjectCode = paretProjectCode;
    }

    public String getParetProjectCode() 
    {
        return paretProjectCode;
    }
    public void setSimpleName(String simpleName) 
    {
        this.simpleName = simpleName;
    }

    public String getSimpleName() 
    {
        return simpleName;
    }
    public void setProjectType(String projectType) 
    {
        this.projectType = projectType;
    }

    public String getProjectType() 
    {
        return projectType;
    }
    public void setProjiectLevel(String projiectLevel) 
    {
        this.projiectLevel = projiectLevel;
    }

    public String getProjiectLevel() 
    {
        return projiectLevel;
    }
    public void setProjectRegional(String projectRegional) 
    {
        this.projectRegional = projectRegional;
    }

    public String getProjectRegional() 
    {
        return projectRegional;
    }
    public void setProjectAddress(String projectAddress) 
    {
        this.projectAddress = projectAddress;
    }

    public String getProjectAddress() 
    {
        return projectAddress;
    }
    public void setProjectNature(String projectNature) 
    {
        this.projectNature = projectNature;
    }

    public String getProjectNature() 
    {
        return projectNature;
    }
    public void setLicenceNumber(String licenceNumber) 
    {
        this.licenceNumber = licenceNumber;
    }

    public String getLicenceNumber() 
    {
        return licenceNumber;
    }
    public void setProjectApproval(String projectApproval) 
    {
        this.projectApproval = projectApproval;
    }

    public String getProjectApproval() 
    {
        return projectApproval;
    }
    public void setProjectPerson(String projectPerson) 
    {
        this.projectPerson = projectPerson;
    }

    public String getProjectPerson() 
    {
        return projectPerson;
    }
    public void setProjectPhone(String projectPhone) 
    {
        this.projectPhone = projectPhone;
    }

    public String getProjectPhone() 
    {
        return projectPhone;
    }
    public void setLongitude(String longitude) 
    {
        this.longitude = longitude;
    }

    public String getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(String latitude) 
    {
        this.latitude = latitude;
    }

    public String getLatitude() 
    {
        return latitude;
    }
    public void setProjectTimeLimit(Long projectTimeLimit) 
    {
        this.projectTimeLimit = projectTimeLimit;
    }

    public Long getProjectTimeLimit() 
    {
        return projectTimeLimit;
    }
    public void setTotalInvestment(String totalInvestment) 
    {
        this.totalInvestment = totalInvestment;
    }

    public String getTotalInvestment() 
    {
        return totalInvestment;
    }
    public void setFloorArea(String floorArea) 
    {
        this.floorArea = floorArea;
    }

    public String getFloorArea() 
    {
        return floorArea;
    }
    public void setTotalOutputValue(String totalOutputValue) 
    {
        this.totalOutputValue = totalOutputValue;
    }

    public String getTotalOutputValue() 
    {
        return totalOutputValue;
    }
    public void setPlannedCompletionTime(String plannedCompletionTime) 
    {
        this.plannedCompletionTime = plannedCompletionTime;
    }

    public String getPlannedCompletionTime() 
    {
        return plannedCompletionTime;
    }
    public void setScheduledStartTime(String scheduledStartTime) 
    {
        this.scheduledStartTime = scheduledStartTime;
    }

    public String getScheduledStartTime() 
    {
        return scheduledStartTime;
    }
    public void setActualOperatingTime(String actualOperatingTime) 
    {
        this.actualOperatingTime = actualOperatingTime;
    }

    public String getActualOperatingTime() 
    {
        return actualOperatingTime;
    }
    public void setActualCompletionTime(String actualCompletionTime) 
    {
        this.actualCompletionTime = actualCompletionTime;
    }

    public String getActualCompletionTime() 
    {
        return actualCompletionTime;
    }
    public void setContractAmount(String contractAmount) 
    {
        this.contractAmount = contractAmount;
    }

    public String getContractAmount() 
    {
        return contractAmount;
    }
    public void setPaidAmount(String paidAmount) 
    {
        this.paidAmount = paidAmount;
    }

    public String getPaidAmount() 
    {
        return paidAmount;
    }
    public void setOnAccountAmount(String onAccountAmount) 
    {
        this.onAccountAmount = onAccountAmount;
    }

    public String getOnAccountAmount() 
    {
        return onAccountAmount;
    }
    public void setProjectSchedule(String projectSchedule) 
    {
        this.projectSchedule = projectSchedule;
    }

    public String getProjectSchedule() 
    {
        return projectSchedule;
    }
    public void setProjectSummarize(String projectSummarize) 
    {
        this.projectSummarize = projectSummarize;
    }

    public String getProjectSummarize() 
    {
        return projectSummarize;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setProjectStatus(String projectStatus) 
    {
        this.projectStatus = projectStatus;
    }

    public String getProjectStatus() 
    {
        return projectStatus;
    }
    public void setServicePersonnel(Long servicePersonnel) 
    {
        this.servicePersonnel = servicePersonnel;
    }

    public Long getServicePersonnel() 
    {
        return servicePersonnel;
    }
    public void setSupervisorPersonnel(Long supervisorPersonnel) 
    {
        this.supervisorPersonnel = supervisorPersonnel;
    }

    public Long getSupervisorPersonnel() 
    {
        return supervisorPersonnel;
    }
    public void setGeneralContractor(Long generalContractor) 
    {
        this.generalContractor = generalContractor;
    }

    public Long getGeneralContractor() 
    {
        return generalContractor;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getWeightType() {
        return weightType;
    }

    public void setWeightType(String weightType) {
        this.weightType = weightType;
    }

    public Integer getProjectSort() {
        return projectSort;
    }

    public void setProjectSort(Integer projectSort) {
        this.projectSort = projectSort;
    }

    public String getProgressVisible() {
        return progressVisible;
    }

    public void setProgressVisible(String progressVisible) {
        this.progressVisible = progressVisible;
    }

    public String getProjectRegionalName() {
        return projectRegionalName;
    }

    public void setProjectRegionalName(String projectRegionalName) {
        this.projectRegionalName = projectRegionalName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("projectName", getProjectName())
            .append("projectCode", getProjectCode())
            .append("paretProjectName", getParetProjectName())
            .append("paretProjectCode", getParetProjectCode())
            .append("simpleName", getSimpleName())
            .append("projectType", getProjectType())
            .append("projiectLevel", getProjiectLevel())
            .append("projectRegional", getProjectRegional())
            .append("projectAddress", getProjectAddress())
            .append("projectNature", getProjectNature())
            .append("licenceNumber", getLicenceNumber())
            .append("projectApproval", getProjectApproval())
            .append("projectPerson", getProjectPerson())
            .append("projectPhone", getProjectPhone())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("projectTimeLimit", getProjectTimeLimit())
            .append("totalInvestment", getTotalInvestment())
            .append("floorArea", getFloorArea())
            .append("totalOutputValue", getTotalOutputValue())
            .append("plannedCompletionTime", getPlannedCompletionTime())
            .append("scheduledStartTime", getScheduledStartTime())
            .append("actualOperatingTime", getActualOperatingTime())
            .append("actualCompletionTime", getActualCompletionTime())
            .append("contractAmount", getContractAmount())
            .append("paidAmount", getPaidAmount())
            .append("onAccountAmount", getOnAccountAmount())
            .append("projectSchedule", getProjectSchedule())
            .append("projectSummarize", getProjectSummarize())
            .append("isDel", getIsDel())
            .append("projectStatus", getProjectStatus())
            .append("servicePersonnel", getServicePersonnel())
            .append("supervisorPersonnel", getSupervisorPersonnel())
            .append("generalContractor", getGeneralContractor())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
